#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	PEG-based parser interpreter with memoization
Summary(pl.UTF-8):	Interpreter parserów opartych na PEG z zapamiętywaniem
Name:		python-speg
Version:	0.3
Release:	7
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/speg/
Source0:	https://files.pythonhosted.org/packages/source/s/speg/speg-%{version}.zip
# Source0-md5:	06c714460913b0cfd73cbbc33fa93eb9
URL:		https://pypi.org/project/speg/
%if %{with python2}
BuildRequires:	python-modules >= 2
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	unzip
Requires:	python-modules >= 2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PEG-based parser interpreter with memoization.

%description -l pl.UTF-8
Interpreter parserów opartych na PEG z zapamiętywaniem.

%package -n python3-speg
Summary:	PEG-based parser interpreter with memoization
Summary(pl.UTF-8):	Interpreter parserów opartych na PEG z zapamiętywaniem
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-speg
PEG-based parser interpreter with memoization.

%description -n python3-speg -l pl.UTF-8
Interpreter parserów opartych na PEG z zapamiętywaniem.

%prep
%setup -q -n speg-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/speg
%{py_sitescriptdir}/speg-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-speg
%defattr(644,root,root,755)
%{py3_sitescriptdir}/speg
%{py3_sitescriptdir}/speg-%{version}-py*.egg-info
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-speg.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 8ae918e
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 2025dde
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 0a5a543
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 66dd08f
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ebbb390
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> c5590a4
- release 2 (by relup.sh)

* Thu Dec 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 56ccd90
- new

